<?php

namespace helpers;

use Exception;
use objects\products_o;

class xlvask_parser_halleje extends xlvask_product_parser
{
    use xlvask_product_parser_t;

    public function __construct()
    {
        $this->setup('Halleje');
    }


    /**
     * @inheritDoc
     * @throws Exception
     */
    protected function parse(xlvask_wash_item $wash_item, xlvask_usage_log $xlvask_usage_log): products_o
    {
        return (new products_o())->select(62); // Halleje product ID is actually 62, but since we're currently not using it we just return the 64 (Irrelevant) product ID.
    }
}